## mx-bootrepair 18.12

=== debian/changelog ===
mx-bootrepair (18.12) mx; urgency=medium

  * update translations

 -- Adrian <adrian@mxlinux.org>  Fri, 28 Dec 2018 11:34:18 -0500

mx-bootrepair (18.11) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 11:39:20 -0500

mx-bootrepair (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 18:25:57 -0400

mx-bootrepair (18.8.1) mx; urgency=medium

  * fix icons for other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 15:58:52 -0400

mx-bootrepair (18.8) mx; urgency=medium

  * it should handle now nvme and mmcblk devices

 -- Adrian <adrian@mxlinux.org>  Wed, 01 Aug 2018 15:27:02 -0400

mx-bootrepair (18.6.2) mx; urgency=medium

  * fix bug: message box in wrong place

 -- Adrian <adrian@mxlinux.org>  Thu, 28 Jun 2018 18:00:13 -0400

mx-bootrepair (18.6.1) mx; urgency=medium

  * add changelog button
  * fix displaying program version for non-EN locale

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Jun 2018 17:32:03 -0400

mx-bootrepair (18.6) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Jun 2018 12:28:23 -0400

mx-bootrepair (18.3) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Mar 2018 09:16:48 -0500

mx-bootrepair (18.1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Feb 2018 01:33:57 -0500

mx-bootrepair (17.12+1) mx; urgency=medium

  * Spanish translation update
  * Fix Franch help link

 -- Adrian <adrian@mxlinux.org>  Mon, 11 Dec 2017 22:29:38 -0500

mx-bootrepair (17.12) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Dec 2017 14:26:35 -0500

mx-bootrepair (17.11+2) mx; urgency=medium

  * display Help and GUI at the same time

 -- Adrian <adrian@mxlinux.org>  Thu, 30 Nov 2017 13:19:49 -0500

mx-bootrepair (17.11+1) mx; urgency=medium

  * fix FR detection

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Nov 2017 18:27:12 -0500

mx-bootrepair (17.11) mx; urgency=medium

  * add FR help link

 -- Adrian <adrian@mxlinux.org>  Fri, 10 Nov 2017 12:00:07 -0500

mx-bootrepair (17.10) mx; urgency=medium

  * new icon

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Oct 2017 12:28:35 -0400

mx-bootrepair (17.8+2) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Aug 2017 08:34:28 -0400

mx-bootrepair (17.8+1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Thu, 10 Aug 2017 23:00:12 -0400

mx-bootrepair (17.8mx16) mx; urgency=medium

  * added ESP installation support

 -- Adrian <adrian@mxlinux.org>  Thu, 10 Aug 2017 01:12:45 -0400

mx-bootrepair (17.6mx16) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Jun 2017 13:04:15 -0400

mx-bootrepair (17.5mx16) mx; urgency=medium

  * button icons follow theme choice

 -- Adrian <adrian@mxlinux.org>  Tue, 09 May 2017 14:58:45 -0400

mx-bootrepair (17.3mx16) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Thu, 30 Mar 2017 09:41:39 -0400

mx-bootrepair (16.11mx16+1) mx; urgency=medium

  * FR translations

 -- Adrian <adrian@mxlinux.org>  Wed, 30 Nov 2016 10:31:08 -0500

mx-bootrepair (16.11mx16) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 16 Nov 2016 11:37:32 -0500

mx-bootrepair (16.10mx16) mx; urgency=medium

  * changed URLs

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Oct 2016 10:30:14 -0400

mx-bootrepair (16.6mx15) mx; urgency=medium

  * minor fix

 -- Adrian <adrian@mxlinux.org>  Mon, 06 Jun 2016 17:44:22 -0400

mx-bootrepair (16.5mx15) mx; urgency=medium

  * new desktop file

 -- dolphinoracle <dolphinoracle@gmail.com>  Sun, 22 May 2016 21:21:35 -0400

mx-bootrepair (15.12mx15) mx; urgency=medium

  * added --target=i386-pc

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Dec 2015 17:35:55 -0500

mx-bootrepair (15.11mx15) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 30 Nov 2015 09:28:23 -0500

mx-bootrepair (15.10mx15) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 23 Oct 2015 15:58:37 -0400

mx-bootrepair (15.7.1mx15) mx; urgency=medium

  * new URL for documentation

 -- Adrian <adrian@mxlinux.org>  Thu, 09 Jul 2015 17:38:38 -0400

mx-bootrepair (15.7mx15) mx; urgency=medium

  * changed to qt5

 -- Adrian <adrian@mxlinux.org>  Tue, 30 Jun 2015 12:15:47 -0400

mx-bootrepair (15.6mx14) mx; urgency=medium

  * changed documentation URL

 -- Adrian <adrian@mxlinux.org>  Wed, 03 Jun 2015 11:13:39 -0400

mx-bootrepair (15.4mx14) mx; urgency=medium

  * added Polish translation

 -- Adrian <adrian@mxlinux.org>  Mon, 20 Apr 2015 19:55:41 -0400

mx-bootrepair (15.3mx14) mx; urgency=medium

  * changed help URL

 -- Adrian <adrian@mxlinux.org>  Fri, 20 Mar 2015 16:48:47 -0400

mx-bootrepair (15.2) mx; urgency=medium

  * added new help URL

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Feb 2015 10:24:40 -0500

mx-bootrepair (15.1) mx; urgency=medium

  * added Japanese and Catalan to .desktop

 -- Adrian <adrian@mxlinux.org>  Tue, 27 Jan 2015 11:14:11 -0500

mx-bootrepair (14.3+1) mx; urgency=low

  * retranslated stings, ready for point release

 -- Adrian <adrian@mxlinux.org>  Thu, 06 Nov 2014 00:43:31 -0500

mx-bootrepair (14.2+1) mx; urgency=low

  * fixed dependency typo, chaged version format

 -- Adrian <adrian@mxlinux.org>  Tue, 30 Sep 2014 19:25:25 -0400

mx-bootrepair (0.14.1mx141+3) mx; urgency=low

  * minor changes

 -- Adrian <adrian@mxlinux.org>  Wed, 25 Jun 2014 10:10:58 -0400

mx-bootrepair (0.14.1mx141+2) mx; urgency=low

  * update languages

 -- Adrian <adrian@mxlinux.org>  Tue, 17 Jun 2014 13:40:20 -0400

mx-bootrepair (0.3mx140+2) mx; urgency=low

  * update grub.cfg another partitions

 -- Adrian <adrian@mx1>  Sat, 19 Apr 2014 11:26:16 -0400

mx-bootrepair (0.2mx140+1) mx; urgency=low

  * added MBR/PBR save and restore options



## mx-bootrepair 25.09.4

=== CMakeLists.txt ===
# **********************************************************************
# * Copyright (C) 2014-2025 MX Authors
# *
# * Authors: Adrian
# *          MX Linux <http://mxlinux.org>
# *
# * This file is part of mx-boot-repair.
# *
# * mx-boot-repair is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * MX Boot Repair is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with MX Boot Repair.  If not, see <http://www.gnu.org/licenses/>.
# **********************************************************************/

cmake_minimum_required(VERSION 3.16)

# Get version from debian/changelog
execute_process(
    COMMAND dpkg-parsechangelog -SVersion
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
    OUTPUT_STRIP_TRAILING_WHITESPACE
    RESULT_VARIABLE DPKG_RESULT
)

if(NOT DPKG_RESULT EQUAL 0)
    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
endif()

project(mx-boot-repair
    VERSION ${PROJECT_VERSION_FROM_CHANGELOG}
    DESCRIPTION "MX Boot Repair - GUI for repairing boot problems"
    LANGUAGES CXX
)

# Set C++ standard
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Enable compile commands export for IDEs and tools
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Optimize for Ninja builds
if(CMAKE_GENERATOR STREQUAL "Ninja")
    # Enable colored output for Ninja
    if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        add_compile_options(-fdiagnostics-color=always)
    elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
        add_compile_options(-fcolor-diagnostics)
    endif()
endif()

# Option to use clang for testing builds
option(USE_CLANG "Use clang compiler" OFF)
if(USE_CLANG)
    set(CMAKE_C_COMPILER clang)
    set(CMAKE_CXX_COMPILER clang++)
    set(CMAKE_CXX_COMPILER_ID "Clang")
    message(STATUS "Using clang compiler")
endif()

# Find Qt6 components
find_package(Qt6 REQUIRED COMPONENTS
    Core
    Gui
    Widgets
    LinguistTools
)

# Enable automatic MOC, UIC, and RCC processing
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Define source files
set(SOURCES
    src/gui/main.cpp
    src/gui/mainwindow.cpp
    src/gui/about.cpp
)

set(HEADERS
    src/core/common.h
    src/gui/mainwindow.h
    src/gui/about.h
)

set(UI_FILES
    src/gui/mainwindow.ui
)

set(RESOURCE_FILES
    src/gui/images.qrc
)

# Get all translation files
file(GLOB TRANSLATION_FILES "translations/*.ts")

# Create the executable
add_library(bootrepair-core STATIC
    src/core/cmd.cpp
    src/core/bootrepair_engine.cpp
    src/core/bootrepair_engine.h
    src/core/app_init.cpp
    src/core/app_init.h
)

target_link_libraries(bootrepair-core
    Qt6::Core
)

target_include_directories(bootrepair-core PUBLIC
    ${CMAKE_SOURCE_DIR}/src
)

target_compile_options(bootrepair-core PRIVATE
    -Wpedantic
    -pedantic
    -Werror=return-type
    -Werror=switch
    -Werror=uninitialized
    -Werror
)

if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
    target_compile_options(bootrepair-core PRIVATE -Werror=return-stack-address)
else()
    target_compile_options(bootrepair-core PRIVATE -Werror=return-local-addr)
endif()

add_executable(mx-boot-repair
    ${SOURCES}
    ${HEADERS}
    ${UI_FILES}
    ${RESOURCE_FILES}
    src/cli/controller.cpp
    src/cli/controller.h
)

# Link Qt6 libraries
target_link_libraries(mx-boot-repair
    bootrepair-core
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

# Allow GUI sources to include headers from src/ (e.g., core/..., common.h)
target_include_directories(mx-boot-repair PUBLIC
    ${CMAKE_SOURCE_DIR}/src
)

# Set compiler flags
target_compile_options(mx-boot-repair PRIVATE
    -Wpedantic
    -pedantic
    -Werror=return-type
    -Werror=switch
    -Werror=uninitialized
    -Werror
)

# Add compiler-specific flags
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
    target_compile_options(mx-boot-repair PRIVATE -Werror=return-stack-address)
else()
    target_compile_options(mx-boot-repair PRIVATE -Werror=return-local-addr)
endif()

# Set compile definitions
target_compile_definitions(mx-boot-repair PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    VERSION="${PROJECT_VERSION}"
)

# Release-specific optimizations
if(CMAKE_BUILD_TYPE STREQUAL "Release")
    target_compile_definitions(mx-boot-repair PRIVATE NDEBUG)
    target_compile_options(mx-boot-repair PRIVATE -O3)

    # Add LTO - different flags for different compilers
    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
        target_compile_options(mx-boot-repair PRIVATE -flto=thin)
        target_link_options(mx-boot-repair PRIVATE -flto=thin)
    else()
        target_compile_options(mx-boot-repair PRIVATE -flto=auto)
        target_link_options(mx-boot-repair PRIVATE -flto=auto)
    endif()
endif()

# Handle translations
qt6_add_translations(mx-boot-repair
    TS_FILES ${TRANSLATION_FILES}
    LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
    QM_FILES_OUTPUT_VARIABLE qm_files
)

# Set target properties
set_target_properties(mx-boot-repair PROPERTIES
    OUTPUT_NAME "mx-boot-repair"
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
)

# CLI target (QtCore-only) — disabled by default
option(BUILD_CLI "Build standalone CLI target" OFF)
if(BUILD_CLI)
    add_executable(mx-boot-repair-cli
        src/cli/main.cpp
        src/cli/controller.cpp
        src/cli/controller.h
    )

    target_link_libraries(mx-boot-repair-cli
        bootrepair-core
        Qt6::Core
    )

    target_compile_definitions(mx-boot-repair-cli PRIVATE
        QT_DEPRECATED_WARNINGS
        QT_DISABLE_DEPRECATED_BEFORE=0x060000
        VERSION="${PROJECT_VERSION}"
    )

    set_target_properties(mx-boot-repair-cli PROPERTIES
        OUTPUT_NAME "mx-boot-repair-cli"
        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
    )
endif()

# Install target (required by Debian build system)
# Other files are handled by debian/install
install(TARGETS mx-boot-repair
    RUNTIME DESTINATION bin
)

## mx-bootrepair 19.1

=== debian/changelog ===
mx-bootrepair (19.1) mx; urgency=medium

  * fix nvme partition selection

 -- Adrian <adrian@mxlinux.org>  Sun, 27 Jan 2019 10:57:04 -0500

=== debian/control ===
Source: mx-bootrepair
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-qmake,
	qt5-default,
	qttools5-dev-tools,
	debhelper (>=9),
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-bootrepair

Package: mx-bootrepair
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, grub-pc, mx-viewer|xdg-utils, menu, gzip
Description: MX program to help with repair of boot problems.
 MX-bootrepair helps with the repair of boot problems.

=== debian/rules ===
#!/usr/bin/make -f

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease mx-bootrepair.pro
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --parallel

## mx-bootrepair 19.2

=== debian/changelog ===
mx-bootrepair (19.2) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 17 Feb 2019 22:27:20 -0500

## mx-bootrepair 19.4

=== debian/changelog ===
mx-bootrepair (19.4) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Apr 2019 11:22:23 -0400

## mx-bootrepair 19.5

=== debian/changelog ===
mx-bootrepair (19.5) mx; urgency=medium

  * list paravirtualized (Xen) drives and partition

 -- Adrian <adrian@mxlinux.org>  Sat, 18 May 2019 21:49:25 -0400

## mx-bootrepair 19.7

=== debian/changelog ===
mx-bootrepair (19.7) mx; urgency=medium

  * fix window buttons for Buster

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 13:22:49 -0400

=== debian/control ===
Source: mx-bootrepair
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9), qt5-default, qt5-qmake, qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-bootrepair

Package: mx-bootrepair
Architecture: any
Depends: grub-pc,
         gzip,
         menu,
         mx-viewer | xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MX program to help with repair of boot problems.
 MX-bootrepair helps with the repair of boot problems.

## mx-bootrepair 19.7.1

=== debian/changelog ===
mx-bootrepair (19.7.1) mx; urgency=medium

  * update icon

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Jul 2019 11:12:09 -0400

## mx-bootrepair 19.8

=== debian/changelog ===
mx-bootrepair (19.8) mx; urgency=medium

  * added offline help file

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Aug 2019 13:31:04 -0400

## mx-bootrepair 19.9

=== debian/changelog ===
mx-bootrepair (19.9) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sun, 01 Sep 2019 00:47:42 -0400

## mx-bootrepair 19.9.01

=== debian/changelog ===
mx-bootrepair (19.9.01) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 27 Sep 2019 15:13:30 -0400

## mx-bootrepair 19.10.02

=== debian/changelog ===
mx-bootrepair (19.10.02) mx; urgency=medium

  * mount /boot/efi if on different partition when reparing grub.cfg

 -- Adrian <adrian@mxlinux.org>  Mon, 21 Oct 2019 15:12:03 -0400

mx-bootrepair (19.10.01) mx; urgency=medium

  * fix window icon
  * change wording for location when fixing grub.cfg

 -- Adrian <adrian@mxlinux.org>  Mon, 21 Oct 2019 12:36:07 -0400

mx-bootrepair (19.10) mx; urgency=medium

  * new feature: works on luks encrypted partitions
  * fix: works when /boot not on root 
  * fix: works when targetting running root system

 -- Adrian <adrian@mxlinux.org>  Sat, 19 Oct 2019 19:30:22 -0400

## mx-bootrepair 19.10.03

=== debian/changelog ===
mx-bootrepair (19.10.03) mx; urgency=medium

  * fix localization

 -- Adrian <adrian@mxlinux.org>  Mon, 28 Oct 2019 17:34:29 -0400

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), qt5-default, qt5-qmake, qttools5-dev-tools
+Build-Depends: debhelper (>=9), 
+	qtbase5-dev, 
+	qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-bootrepair
 
 Package: mx-bootrepair
 Architecture: any
 Depends: grub-pc,
-         gzip,
          menu,
          mx-viewer | xdg-utils,
          ${misc:Depends},

## mx-bootrepair 19.10.05

=== debian/changelog ===
mx-bootrepair (19.10.05) mx; urgency=medium

  * translation update

 -- Adrian <adrian@mxlinux.org>  Thu, 31 Oct 2019 00:34:47 -0400

mx-bootrepair (19.10.04) mx; urgency=medium

  * fix help link

 -- Adrian <adrian@mxlinux.org>  Tue, 29 Oct 2019 14:11:11 -0400

## mx-bootrepair 21.3

=== debian/changelog ===
mx-bootrepair (21.3) mx; urgency=medium

  * mount efivars before installing GRUB

 -- Adrian <adrian@mxlinux.org>  Mon, 15 Mar 2021 09:42:16 -0400

## mx-bootrepair 21.3.02

=== debian/changelog ===
mx-bootrepair (21.3.02) mx; urgency=medium

  * fix: NVRAM access of grub-install within chroot

 -- fehlix <fehlix@mxlinux.org>  Tue, 16 Mar 2021 10:12:45 -0400

mx-bootrepair (21.3.01) mx; urgency=medium

  * fix: operator precedence
  * fix: device name if not UUID

 -- Adrian <adrian@mxlinux.org>  Mon, 15 Mar 2021 22:54:38 -0400

## mx-bootrepair 21.3.03

=== debian/changelog ===
mx-bootrepair (21.3.03) mx; urgency=medium

  * adjust /dev/udev in chroot to make update-grub work

 -- fehlix <fehlix@mxlinux.org>  Sat, 20 Mar 2021 18:17:45 -0400

## mx-bootrepair 22.3.04

=== debian/changelog ===
mx-bootrepair (22.3.04) mx; urgency=medium

  * adjust mount/umount for chroot
  * add detection of invalid entries in fstab
  * fix device selection
  * add fallback efi to grub-install

 -- Adrian <adrian@mxlinux.org>  Thu, 10 Mar 2022 21:58:08 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), 
+Build-Depends: debhelper (>=10), 
 	qtbase5-dev, 
 	qttools5-dev-tools
 Standards-Version: 3.9.8

## mx-bootrepair 22.6

=== debian/changelog ===
mx-bootrepair (22.6) mx; urgency=medium

  * Preserve user theme when launching program as root
  * Make sure HOME and XDG_RUNTIME_DIR are correct when launching as root

 -- Adrian <adrian@mxlinux.org>  Tue, 14 Jun 2022 01:00:46 -0400

## mx-bootrepair 22.76.01

=== debian/changelog ===
mx-bootrepair (22.76.01) mx; urgency=medium

  * Fix: add alternative for LUKS detection

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Jun 2022 22:28:55 -0400

## mx-bootrepair 22.76.03

=== debian/changelog ===
mx-bootrepair (22.76.03) mx; urgency=medium

  * translation refresh

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 11:15:56 -0400

mx-bootrepair (22.76.02) mx; urgency=medium

  * Remove not needed --qtenv annotation pkexec policy
  * Adjust pkexec/sudo environment parameter
  * Fix EFI System Partition detection on dos/mbr partition table

 -- fehlix <fehlix@mxlinux.org>  Mon, 04 Jul 2022 17:35:09 -0400

## mx-bootrepair 22.80

=== debian/changelog ===
mx-bootrepair (22.80) mx; urgency=medium

  * Fix: launching Firefox from Help

 -- Adrian <adrian@mxlinux.org>  Wed, 17 Aug 2022 21:40:03 -0400

## mx-bootrepair 22.82

=== debian/changelog ===
mx-bootrepair (22.82) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 19:57:13 -0400

mx-bootrepair (22.81) mx; urgency=medium

  * Fix: launching documents from Help (fixes a problem in Plasma) 

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Aug 2022 19:13:01 -0400

## mx-bootrepair 22.83

=== debian/changelog ===
mx-bootrepair (22.83) mx; urgency=medium

  * Use root.fsm instead of chrootfs for luks name

 -- Adrian <adrian@mxlinux.org>  Tue, 13 Dec 2022 20:53:51 -0500

## mx-bootrepair 23.3

=== debian/changelog ===
mx-bootrepair (23.3) mx; urgency=medium

  * Added checks to make sure install location and root are selected
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sun, 19 Mar 2023 09:41:58 -0400

## mx-bootrepair 23.3.01

=== debian/changelog ===
mx-bootrepair (23.3.01) mx; urgency=medium

  * Update help info.
  * Make sure GUI is still active while displaying help info.

 -- Adrian <adrian@mxlinux.org>  Mon, 20 Mar 2023 00:36:20 -0400

## mx-bootrepair 23.4

=== debian/changelog ===
mx-bootrepair (23.4) mx; urgency=medium

  * Update icon
  * Uptate translations

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Apr 2023 22:17:35 -0400

## mx-bootrepair 23.5

=== debian/changelog ===
mx-bootrepair (23.5) mx; urgency=medium

  * Use major release number for the UEFI entry (just like the installer)

 -- Adrian <adrian@mxlinux.org>  Mon, 01 May 2023 20:56:14 -0400

## mx-bootrepair 23.5.01

=== debian/changelog ===
mx-bootrepair (23.5.01) mx; urgency=medium

  * Update logo 

 -- Adrian <adrian@mxlinux.org>  Wed, 17 May 2023 18:21:22 -0400

## mx-bootrepair 23.7

=== debian/changelog ===
mx-bootrepair (23.7) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 16:16:16 -0400

## mx-bootrepair 23.8

=== debian/changelog ===
mx-bootrepair (23.8) mx; urgency=medium

  * Security Fix: LUKS password can end up on the console.
  * Allow repair with current root on LUKS volume mapped to any name.
  * Open the LUKS root with luks-<UUID> form if not the current root.

 -- Adrian <adrian@mxlinux.org>  Wed, 02 Aug 2023 11:45:28 -0400

## mx-bootrepair 23.9

=== debian/changelog ===
mx-bootrepair (23.9) mx; urgency=medium

  * Remove efivar dump-entries to avoid "No space left on device" error.
  * Adjust version.h in debian rules

 -- fehlix <fehlix@mxlinux.org>  Wed, 13 Sep 2023 17:05:38 -0400

## mx-bootrepair 23.11

=== debian/changelog ===
mx-bootrepair (23.11) mx; urgency=medium

  * Run program as normal user and elevate only when needed

 -- Adrian <adrian@mxlinux.org>  Fri, 10 Nov 2023 12:48:08 -0500

## mx-bootrepair 23.11.01

=== debian/changelog ===
mx-bootrepair (23.11.01) mx; urgency=medium

  * Fix changelog location
  * Prompt once for elevation when closing the app

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Nov 2023 15:07:48 -0500

## mx-bootrepair 24.3

=== debian/changelog ===
mx-bootrepair (24.3) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 12:30:11 -0400

## mx-bootrepair 24.4

=== debian/changelog ===
mx-bootrepair (24.4) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 20 Apr 2024 10:38:42 -0400

## mx-bootrepair 25.4

=== debian/changelog ===
mx-bootrepair (25.4) mx; urgency=medium

  * Add regenerate initramfs option

 -- Adrian <adrian@mxlinux.org>  Sun, 13 Apr 2025 22:19:28 -0400

## mx-bootrepair 25.4.01

=== debian/changelog ===
mx-bootrepair (25.4.01) mx; urgency=medium

  * Remove need for elevation when clicking Next
  * Remove need for elevation when closing app
  * Rename "Apply" button to "Next" for clairity

 -- Adrian <adrian@mxlinux.org>  Mon, 14 Apr 2025 12:22:04 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Package: mx-bootrepair
 Architecture: any
 Depends: grub-pc,
-         menu,
          mx-viewer | xdg-utils,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"
DEB_BUILD_VERSION := $(shell dpkg-parsechangelog -S Version)

override_dh_auto_clean:
	dh_auto_clean
	rm -f translations/*.qm
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease translations/*.ts
	mv version.h version.h~
	echo "const QString VERSION {\"$(DEB_BUILD_VERSION)\"};" > version.h
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

execute_after_dh_builddeb:
	mv version.h~ version.h

%:
	dh $@ --no-automatic-dbgsym --parallel

## mx-bootrepair 25.6

=== debian/changelog ===
mx-bootrepair (25.6) mx; urgency=medium

  * Fix copy log command prompt at closing
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 19 Jun 2025 22:25:33 -0400

mx-bootrepair (25.4.02) mx; urgency=medium

  * Update to Qt6

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Apr 2025 21:58:52 -0400

=== debian/control ===
Source: mx-bootrepair
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 13),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 3.9.8
Homepage: https://github.com/mxlinux/mx-bootrepair
Vcs-Git: https://github.com/mxlinux/mx-bootrepair.git
Vcs-Browser: https://github.com/mxlinux/mx-bootrepair

Package: mx-bootrepair
Architecture: any
Depends: grub-pc,
         mx-viewer | xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GUI for repairing boot problems
 A user-friendly graphical interface that allows users to:
  * Repair GRUB bootloader issues
  * Fix common boot configuration problems
  * Restore system boot functionality
 .

## mx-bootrepair 25.09.01

=== debian/changelog ===
mx-bootrepair (25.09.01) mx; urgency=medium

  * Added a -c/--cli option to run the app in the CLI, detect if running
    headless and start in that mode automatically
  * Fix log copying to /var/log/
  * Fix translation

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Sep 2025 20:13:13 -0400

## mx-bootrepair 25.09.3

=== debian/changelog ===
mx-bootrepair (25.09.3) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Tue, 09 Sep 2025 12:56:48 -0400

## mx-bootrepair 25.09.4

=== debian/changelog ===
mx-bootrepair (25.09.4) mx; urgency=medium

  * Avoid asking for elevation when exiting CLI
  * Add argument validation
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Fri, 12 Sep 2025 23:26:28 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper-compat (= 13),
-               qt6-base-dev,
-               qt6-base-dev-tools,
-               qt6-tools-dev,
-               qt6-tools-dev-tools
+Build-Depends: debhelper-compat (= 13), cmake (>= 3.16), ninja-build, qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
 Standards-Version: 3.9.8
 Homepage: https://github.com/mxlinux/mx-bootrepair
 Vcs-Git: https://github.com/mxlinux/mx-bootrepair.git

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=6

override_dh_auto_configure:
	dh_auto_configure -- \
		-G Ninja \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_EXPORT_COMPILE_COMMANDS=ON

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/ obs-*/
	rm -f translations/*.qm

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_test:
	# Skip tests as no test targets are defined

override_dh_auto_install:
	# Install is handled by debian/install file
	dh_auto_install

%:
	dh $@ --buildsystem=cmake+ninja --no-automatic-dbgsym

## mx-bootrepair 26.02.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,17 +22,37 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-# Get version from debian/changelog
-execute_process(
-    COMMAND dpkg-parsechangelog -SVersion
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-    RESULT_VARIABLE DPKG_RESULT
-)
-
-if(NOT DPKG_RESULT EQUAL 0)
-    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
+set(PROJECT_VERSION_FROM_CHANGELOG "")
+
+if(DEFINED PROJECT_VERSION_OVERRIDE AND NOT "${PROJECT_VERSION_OVERRIDE}" STREQUAL "")
+    set(PROJECT_VERSION_FULL "${PROJECT_VERSION_OVERRIDE}")
+    # Strip non-numeric suffix (e.g. "26.01arch" -> "26.01") for CMake VERSION compatibility
+    string(REGEX REPLACE "[^0-9.].*$" "" PROJECT_VERSION_FROM_CHANGELOG "${PROJECT_VERSION_FULL}")
+    message(STATUS "Using version override: ${PROJECT_VERSION_FULL} (CMake version: ${PROJECT_VERSION_FROM_CHANGELOG})")
+else()
+    # Try dpkg-parsechangelog first (Debian/Ubuntu)
+    execute_process(
+        COMMAND dpkg-parsechangelog -SVersion
+        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+        OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
+        OUTPUT_STRIP_TRAILING_WHITESPACE
+        RESULT_VARIABLE DPKG_RESULT
+        ERROR_QUIET
+    )
+
+    if(DPKG_RESULT EQUAL 0 AND NOT "${PROJECT_VERSION_FROM_CHANGELOG}" STREQUAL "")
+        message(STATUS "Using version from debian/changelog: ${PROJECT_VERSION_FROM_CHANGELOG}")
+    elseif(EXISTS ${CMAKE_SOURCE_DIR}/debian/changelog)
+        file(READ ${CMAKE_SOURCE_DIR}/debian/changelog PROJECT_CHANGELOG_CONTENT)
+        string(REGEX MATCH "^[^\\(]*\\(([^)]+)\\)" _match "${PROJECT_CHANGELOG_CONTENT}")
+        if(NOT _match)
+            message(FATAL_ERROR "Could not parse version from debian/changelog")
+        endif()
+        set(PROJECT_VERSION_FROM_CHANGELOG "${CMAKE_MATCH_1}")
+        message(STATUS "Using version parsed from debian/changelog: ${PROJECT_VERSION_FROM_CHANGELOG}")
+    else()
+        message(FATAL_ERROR "Could not determine version: dpkg-parsechangelog not available and debian/changelog missing")
+    endif()
 endif()
 
 project(mx-boot-repair
@@ -40,6 +60,13 @@
     DESCRIPTION "MX Boot Repair - GUI for repairing boot problems"
     LANGUAGES CXX
 )
+
+# Use the full version string (with suffix like "arch") if available, otherwise use CMake's numeric version
+if(DEFINED PROJECT_VERSION_FULL)
+    set(PROJECT_DISPLAY_VERSION "${PROJECT_VERSION_FULL}")
+else()
+    set(PROJECT_DISPLAY_VERSION "${PROJECT_VERSION}")
+endif()
 
 # Set C++ standard
 set(CMAKE_CXX_STANDARD 20)
@@ -179,7 +206,7 @@
 target_compile_definitions(mx-boot-repair PRIVATE
     QT_DEPRECATED_WARNINGS
     QT_DISABLE_DEPRECATED_BEFORE=0x060000
-    VERSION="${PROJECT_VERSION}"
+    VERSION="${PROJECT_DISPLAY_VERSION}"
 )
 
 # Release-specific optimizations
@@ -227,7 +254,7 @@
     target_compile_definitions(mx-boot-repair-cli PRIVATE
         QT_DEPRECATED_WARNINGS
         QT_DISABLE_DEPRECATED_BEFORE=0x060000
-        VERSION="${PROJECT_VERSION}"
+        VERSION="${PROJECT_DISPLAY_VERSION}"
     )
 
     set_target_properties(mx-boot-repair-cli PROPERTIES

=== debian/changelog ===
mx-bootrepair (26.02.1) mx; urgency=medium

  * Fix ESP device handling and /boot/efi mount restore
  * Detect and reuse existing EFI bootloader ID

 -- Adrian <adrian@mxlinux.org>  Sat, 07 Feb 2026 10:17:19 -0500
